OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKCDF
LDOM

# LDOM_MemManager::HashTable Class Reference

## Private Member Functions
| HashTable (LDOM_MemManager &theMemManager)
const char * | AddString (const char *theString, const Standard_Integer theLen, Standard_Integer &theHashIndex)
## Static Private Member Functions
static Standard_Integer | Hash (const char *theString, const Standard_Integer theLen)
## Private Attributes
LDOM_MemManager::HashTable::TableItem * | myTable
LDOM_MemManager & | myManager
## Data Structures
struct | TableItem

## Constructor & Destructor Documentation

LDOM_MemManager::HashTable::HashTable | ( | LDOM_MemManager & | theMemManager | ) | `[private]`

## Member Function Documentation

const char* LDOM_MemManager::HashTable::AddString | ( | const char * | theString,
|  | const Standard_Integer | theLen,
|  | Standard_Integer & | theHashIndex
| ) | `[private]`

static Standard_Integer LDOM_MemManager::HashTable::Hash | ( | const char * | theString,
|  | const Standard_Integer | theLen
| ) | `[static, private]`

## Field Documentation

LDOM_MemManager& LDOM_MemManager::HashTable::myManager`[private]`

struct LDOM_MemManager::HashTable::TableItem * LDOM_MemManager::HashTable::myTable`[private]`

The documentation for this class was generated from the following file:

- LDOM_MemManager.hxx